org.apache.felix.bundleplugin

## Class WrapPlugin

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.felix.bundleplugin.BundlePlugin
    - - org.apache.felix.bundleplugin.ManifestPlugin
      - - org.apache.felix.bundleplugin.BundleAllPlugin
        - - org.apache.felix.bundleplugin.WrapPlugin

- All Implemented Interfaces:
    org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

  Deprecated.
  The wrap goal is no longer supported and may be removed in a future release

      @Deprecated
      @Mojo(name="wrap",
            requiresDependencyResolution=TEST,
            defaultPhase=PACKAGE)
      public final class WrapPlugin
      extends BundleAllPlugin

  Build an OSGi bundle jar for direct dependencies.

- - ### Field Summary

    - ### Fields inherited from class org.apache.felix.bundleplugin.ManifestPlugin

      `rebuildBundle`

    - ### Fields inherited from class org.apache.felix.bundleplugin.BundlePlugin

      `classifier, dumpClasspath, dumpInstructions, excludeDependencies, manifestLocation, niceManifest, packaging, supportedProjectTypes, unpackBundle`

    - ### Fields inherited from interface org.apache.maven.plugin.Mojo

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WrapPlugin()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute()` Deprecated.

    - ### Methods inherited from class org.apache.felix.bundleplugin.BundleAllPlugin

      `bundle, bundleAll, getFile, getOutputFile, logDuplicatedPackages, snapshotMatch`

    - ### Methods inherited from class org.apache.felix.bundleplugin.ManifestPlugin

      `calculateExportsFromContents, execute, getAnalyzer, getAnalyzer, getManifest, getManifest, writeManifest`

    - ### Methods inherited from class org.apache.felix.bundleplugin.BundlePlugin

      `addMavenInstructions, addMavenSourcePath, buildOSGiBundle, convertVersionToOsgi, dumpClasspath, dumpInstructions, dumpManifest, execute, getBase, getBuildDirectory, getBundleName, getClasspath, getDefaultProperties, getEmbeddableArtifacts, getMaven2OsgiConverter, getMavenResourcePaths, getOptionalPackages, getOSGiBuilder, getOutputDirectory, getProject, includeMavenResources, isTransitivelyOptional, mergeMavenManifest, removeTagFromInstruction, reportErrors, sanitize, sanitize, setBuildDirectory, setMaven2OsgiConverter, setOutputDirectory, transformDirectives`

    - ### Methods inherited from class org.apache.maven.plugin.AbstractMojo

      `getLog, getPluginContext, setLog, setPluginContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WrapPlugin

          public WrapPlugin()

      Deprecated.

  - ### Method Detail

    - #### execute

          public void execute()
                       throws org.apache.maven.plugin.MojoExecutionException

      Deprecated.
      Specified by:
        `execute` in interface `org.apache.maven.plugin.Mojo`
      Overrides:
        `execute` in class `BundleAllPlugin`
      Throws:
        `org.apache.maven.plugin.MojoExecutionException`
      See Also:
        `Mojo.execute()`

Copyright © 2015. All rights reserved.